## org.apache.batik.parser
Class DefaultTimingSpecifierHandler

    java.lang.Object
      org.apache.batik.parser.DefaultTimingSpecifierHandler

All Implemented Interfaces:
  TimingSpecifierHandler

Direct Known Subclasses:
  DefaultTimingSpecifierListHandler

    public class DefaultTimingSpecifierHandler

extends java.lang.Object
implements TimingSpecifierHandler

An adapter class for `TimingSpecifierHandler`.

Field Summary
`static TimingSpecifierHandler` `INSTANCE` The default handler.

Constructor Summary
`protected` `DefaultTimingSpecifierHandler()`

Method Summary
`void` `accesskey(float offset, char key)` Invoked when an accesskey value timing specifier is parsed.
`void` `accessKeySVG12(float offset, java.lang.String keyName)` Invoked when an SVG 1.2 accessKey value timing specifier is parsed.
`void` `eventbase(float offset, java.lang.String eventbaseID, java.lang.String eventType)` Invoked when an eventbase value timing specifier is parsed.
`void` `indefinite()` Invoked when an indefinite value timing specifier is parsed.
`void` `mediaMarker(java.lang.String syncbaseID, java.lang.String markerName)` Invoked when a media marker value timing specifier is parsed.
`void` `offset(float offset)` Invoked when an offset value timing specifier is parsed.
`void` `repeat(float offset, java.lang.String syncbaseID)` Invoked when a repeat value timing specifier with no iteration is parsed.
`void` `repeat(float offset, java.lang.String syncbaseID, int repeatIteration)` Invoked when a repeat value timing specifier with an iteration is parsed.
`void` `syncbase(float offset, java.lang.String syncbaseID, java.lang.String timeSymbol)` Invoked when a syncbase value timing specifier is parsed.
`void` `wallclock(java.util.Calendar time)` Invoked when a wallclock value timing specifier is parsed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final TimingSpecifierHandler INSTANCE

  The default handler.

Constructor Detail

### DefaultTimingSpecifierHandler

    protected DefaultTimingSpecifierHandler()

Method Detail

### offset

    public void offset(float offset)

  Invoked when an offset value timing specifier is parsed.

  Specified by:
    `offset` in interface `TimingSpecifierHandler`

### syncbase

    public void syncbase(float offset,
                         java.lang.String syncbaseID,
                         java.lang.String timeSymbol)

  Invoked when a syncbase value timing specifier is parsed.

  Specified by:
    `syncbase` in interface `TimingSpecifierHandler`

### eventbase

    public void eventbase(float offset,
                          java.lang.String eventbaseID,
                          java.lang.String eventType)

  Invoked when an eventbase value timing specifier is parsed.

  Specified by:
    `eventbase` in interface `TimingSpecifierHandler`

### repeat

    public void repeat(float offset,
                       java.lang.String syncbaseID)

  Invoked when a repeat value timing specifier with no iteration is parsed.

  Specified by:
    `repeat` in interface `TimingSpecifierHandler`

### repeat

    public void repeat(float offset,
                       java.lang.String syncbaseID,
                       int repeatIteration)

  Invoked when a repeat value timing specifier with an iteration is parsed.

  Specified by:
    `repeat` in interface `TimingSpecifierHandler`

### accesskey

    public void accesskey(float offset,
                          char key)

  Invoked when an accesskey value timing specifier is parsed.

  Specified by:
    `accesskey` in interface `TimingSpecifierHandler`

### accessKeySVG12

    public void accessKeySVG12(float offset,
                               java.lang.String keyName)

  Invoked when an SVG 1.2 accessKey value timing specifier is parsed.

  Specified by:
    `accessKeySVG12` in interface `TimingSpecifierHandler`

### mediaMarker

    public void mediaMarker(java.lang.String syncbaseID,
                            java.lang.String markerName)

  Invoked when a media marker value timing specifier is parsed.

  Specified by:
    `mediaMarker` in interface `TimingSpecifierHandler`

### wallclock

    public void wallclock(java.util.Calendar time)

  Invoked when a wallclock value timing specifier is parsed.

  Specified by:
    `wallclock` in interface `TimingSpecifierHandler`

### indefinite

    public void indefinite()

  Invoked when an indefinite value timing specifier is parsed.

  Specified by:
    `indefinite` in interface `TimingSpecifierHandler`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.